# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nodesets/version'

Gem::Specification.new do |spec|
  spec.name          = 'nodesets'
  spec.version       = Nodesets::VERSION
  spec.summary       = "Nodeset parsing the way that Slurm tends to handle, folding or expanding"
  spec.description   = %q(
Allows parsing nodenames or Nodesets in the way that Slurm generally handles,
you can either fold an array of names into a nodeset, or you can expand a nodeset into
an array of separate node names.
  )
  spec.authors       = ["Adam Spencer"]
  spec.email         = 'adam.spencer@sfu.ca'
  #s.executables = [
  #  "nodeset_gem.rb",
  #]
  #s.files            = [
  #  "lib/nodeset_gem.rb",
  #  "lib/nodeset_gem/nodeset.rb",
  #  "lib/nodeset_gem/human_sortable_array.rb",
  #]
  spec.homepage      = 'http://rubygems.org/gems/nodesets'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 2.0.0'

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
end
